package dnibuilder;

import java.io.File;
import java.io.FileFilter;
import java.util.List;
import org.eclipse.xtext.xbase.lib.Conversions;
import org.eclipse.xtext.xbase.lib.Functions.Function1;
import org.eclipse.xtext.xbase.lib.ListExtensions;

@SuppressWarnings("all")
public class DirectoryParser {
  public List<String> parse(final String path) {
    final File dir = new File(path);
    boolean _isDirectory = dir.isDirectory();
    if (_isDirectory) {
      final FileFilter _function = new FileFilter() {
        @Override
        public boolean accept(final File p) {
          boolean _and = false;
          boolean _isDirectory = dir.isDirectory();
          if (!_isDirectory) {
            _and = false;
          } else {
            String _name = p.getName();
            boolean _endsWith = _name.endsWith(".csv.list");
            _and = _endsWith;
          }
          return _and;
        }
      };
      File[] _listFiles = dir.listFiles(_function);
      final Function1<File, String> _function_1 = new Function1<File, String>() {
        @Override
        public String apply(final File f) {
          return f.getName();
        }
      };
      return ListExtensions.<File, String>map(((List<File>)Conversions.doWrapArray(_listFiles)), _function_1);
    }
    return null;
  }
}
